SERROR(3PVM)

NAME
pvm_serror - Sets automatic error message printing on or off.
[In Version 3.2: Replaced by pvm_setopt]

SYNOPSIS
C	int oldset = pvm_serror( int set )

Fortran	call pvmfserror( set, oldset )

PARAMETERS

set Integer defining whether detection is to be turned on (1) or off (0).

oldset
    Integer defining the previous setting of pvm_serror.

DESCRIPTION
The routine pvm_serror sets automatic error message printing for all subsequent PVM calls by this process. Any PVM routines that return an error condition will automatically print the associated error message. The argument set defines whether this detection is to be turned on (1) or turned off (0) for subsequent calls. In the future a value of (2) will cause the program to exit after printing the error message. pvm_serror returns the previous value of set in oldset.

All stdout and stderr messages are placed in the file /tmp/pvml.<uid> on the master pvmd's host.

EXAMPLES
C:
	info = pvm_serror( 1 );
Fortran:
	CALL PVMFSERROR( 0, INFO )

ERRORS
This error condition can be returned by pvm_serror

PvmBadParam
    giving an invalid set value.

SEE ALSO
pvm_setopt(3PVM)